package com.caimei365.wechat.service;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * Description
 *
 * @author : Charles
 * @date : 2022/1/13
 */
public interface WechatServerService {

    /**
     * 验证消息的确来自微信服务器
     */
    String validateSignature(HttpServletRequest request);

    /**
     * 处理接收的文本消息
     */
    String handleTextMsg(Map<String, String> requestMap);

    /**
     * subscribe(订阅/关注)
     */
    String handleSubscribeMsg(Map<String, String> requestMap);

    /**
     * 扫描带参数二维码事件
     */
    String handleScanMsg(Map<String, String> requestMap);

    /**
     * 点击自定义菜单
     */
    String handleClickMenuMsg(Map<String, String> requestMap);

    /**
     * 上报地理位置
     */
    String handleLocationMsg(Map<String, String> requestMap);
}
